Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen
Class FlatGeneratorInfo

    java.lang.Object
      net.minecraft.world.gen.FlatGeneratorInfo

    public class FlatGeneratorInfo

extends Object

Constructor Summary
`FlatGeneratorInfo()`

Method Summary
`static FlatGeneratorInfo` | `createFlatGeneratorFromString(String par0Str)`
`void` | `func_82645_d()`
`int` | `getBiome()` Return the biome used on this preset.
`static FlatGeneratorInfo` | `getDefaultFlatGenerator()`
`List` | `getFlatLayers()` Return the list of layers on this preset.
`Map` | `getWorldFeatures()` Return the list of world features enabled on this preset.
`void` | `setBiome(int par1)` Set the biome used on this preset.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlatGeneratorInfo

    public FlatGeneratorInfo()

Method Detail

### getBiome

    public int getBiome()

  Return the biome used on this preset.

### setBiome

    public void setBiome(int par1)

  Set the biome used on this preset.

### getWorldFeatures

    public Map getWorldFeatures()

  Return the list of world features enabled on this preset.

### getFlatLayers

    public List getFlatLayers()

  Return the list of layers on this preset.

### func_82645_d

    public void func_82645_d()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createFlatGeneratorFromString

    public static FlatGeneratorInfo createFlatGeneratorFromString(String par0Str)

### getDefaultFlatGenerator

    public static FlatGeneratorInfo getDefaultFlatGenerator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD